// 
// ---------------------
/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User Guide 
		Load JavaScript
 Modified : 2016-02-27
/////////////////////////////////////////////////////////////////////////////////////////////////*/

/* global opera, decodeURIComponent, settings */


var initData = {
	"path":{
		"contents": "contents",
		"shared":   "contents/shared",
		"local":    "contents/local"
	},
	"topFileName": {
		"def": "index_p.html",
		"pc": "index_p.html",
		"mobile": "index_m.html"
	}
};



var init = (function(){
	
	
	var f = {
		"_setUAinfo": function(){
			var _na = navigator, _ua = _na.userAgent;
			var ua = {}, bver;
			ua._isWin = /win/i.test(_na.platform);
			if(ua._isWin){
				ua._isWin10 = /Win(dows )?NT 10\./i.test(_ua);
				ua._isWin8_1 = /Win(dows )?NT 6\.3/i.test(_ua);
				ua._isWin8 = /Win(dows )?NT 6\.2/i.test(_ua);
				ua._isWin7 = /Win(dows )?NT 6\.1/i.test(_ua);
				ua._isWinVista = /Win(dows )?NT 6\.0/i.test(_ua);
				ua._isWinSv2003 = /Win(dows )?NT 5\.2/i.test(_ua);
				ua._isWinXP = /Win(dows )?(NT 5\.1|XP)/i.test(_ua);
			}
			ua._isMac = /mac/i.test(_na.platform);
			if(ua._isMac){
				var osver = _ua.match(/Mac OS X [0-9._]+/i);
				if(osver){
					osver = (osver+'').replace(/Mac OS X ([0-9._]+)/i, '$1');
					osver = (/\./.test(osver)) ? osver.split('.') : osver.split('_');
					ua['_isMacOSX' + osver[0]] = true;
					osver2 = (!osver[1]) ? osver[0]+'_0' : osver[0]+'_'+osver[1] ;
					ua['_isMacOSX' + osver2] = true;
					osverFull = osver.join('_');
					ua['_isMacOSX' + osverFull] = true;
				}
			}
			ua._isX11 = /X11/i.test(_ua);

			ua._isWebKit = /WebKit/i.test(_ua);
			ua._isChrome = /chrome/i.test(_ua);
			ua._isSafari = ua._isWebKit && !ua._isChrome;
			ua._isOpera = window.opera && opera.buildNumber;
			ua._isEdge = /Edge\//i.test(_ua);
			ua._isIE = !ua._isWebKit && !ua._isOpera && ( /MSIE/i.test(_ua) || /Trident/i.test(_ua) )/* && (/Explorer/gi).test(_na.appName)*/;
			ua._isGecko = !ua._isWebKit && /Gecko/.test(_ua);
			ua._isFirefox = ua._isGecko && /Firefox/.test(_ua);


			ua._isiPhone = /iPhone/i.test(_ua);
			ua._isiPod = /iPod/i.test(_ua);
			ua._isiPad = /iPad/i.test(_ua);
			ua._isiOS = ua._isiPhone || ua._isiPod || ua._isiPad;
			ua._isAndroid = /Android/i.test(_ua);
			ua._isMobile = false;
			if(ua._isiPhone||ua._isiPod||ua._isiPad||ua._isAndroid){
				ua._isMobile = true;
			}


			if(ua._isSafari){
				ua._isSafari1 = /WebKit\/(85|10[36]|12[45]|312)(|u|\.[0-9.]+) /i.test(_ua);
				ua._isSafari2 = /WebKit\/4[1-5][0-9.+]+ /i.test(_ua);
				bver = '';
				bver = _ua.match(/Version\/[0-9.]+ /i);
				if(bver){
					bver = (bver+'').replace(/Version\/([0-9.]+?) /i, '$1').split('.');
					ua['_isSafari' + bver[0]] = true;
					bver2 = (!bver[1]) ? bver[0]+'_0' : bver[0]+'_'+bver[1] ;
					ua['_isSafari' + bver2] = true;
					bverFull = bver.join('_');
					ua['_isSafari' + bverFull] = true;
				}
				ua._isSafari3_0low = ua._isSafari1 || ua._isSafari2 || ua._isSafari3_0;
				ua._isSafari5low = ua._isSafari3_0low || ua._isSafari3 || ua._isSafari4 || ua._isSafari5;
				ua._isSafari6low = ua._isSafari5low || ua._isSafari6;
				ua._isSafari6hi = !ua._isSafari5low;
			}

			if(ua._isIE){
				bver = '';
				bver = _ua.match(/(MSIE |rv:)[0-9]+/i);
				if(bver){
					bver = (bver[0]+'').replace(/(MSIE |rv:)([0-9]+)/i, '$2');
					if(bver == '5') bver = '6';
					ua['_isIE' + bver] = true;
				}
			}

			if(ua._isFirefox){
				bver = '';
				bver = _ua.match(/Firefox\/[0-9.]+/i);
				if(bver){
					bver = (bver+'').replace(/Firefox\/([0-9.]+)/i, '$1').split('.');
					ua['_isFirefox' + bver[0]] = true;
					bver2 = (!bver[1]) ? bver[0]+'_0' : bver[0]+'_'+bver[1] ;
					ua['_isFirefox' + bver2] = true;
					bverFull = bver.join('_');
					ua['_isFirefox' + bverFull] = true;
				}
				ua._isFirefox7low = ua._isFirefox1||ua._isFirefox2||ua._isFirefox3||ua._isFirefox4||ua._isFirefox5||ua._isFirefox6||ua._isFirefox7;
			}

			if(ua._isChrome){
				bver = '';
				bver = _ua.match(/Chrome\/[0-9.]+/i);
				if(bver){
					bver = (bver+'').replace(/Chrome\/([0-9.]+)/i, '$1').split('.');
					ua['_isChrome' + bver[0]] = true;
					bver2 = (!bver[1]) ? bver[0]+'_0' : bver[0]+'_'+bver[1] ;
					ua['_isChrome' + bver2] = true;
					bverFull = bver.join('_');
					ua['_isChrome' + bverFull] = true;
				}
			}

			if(ua._isiPhone || ua._isiPad || ua._isiPod){
				bver = '';
				bver = _ua.match(/OS [0-9_]+/i);
				if(bver){
					bver = (bver+'').replace(/OS ([0-9_]+)/i, '$1').split('_');
					ua['_isiOS' + bver[0]] = true;
					bver2 = (!bver[1]) ? bver[0]+'_0' : bver[0]+'_'+bver[1] ;
					ua['_isiOS' + bver2] = true;
					bverFull = bver.join('_');
					ua['_isiOS' + bverFull] = true;
				}
			}

			if(ua._isAndroid){
				bver = '';
				bver = _ua.match(/Android [0-9.]+/i);
				if(bver){
					bver = (bver+'').replace(/Android ([0-9.]+)/i, '$1').split('.');
					ua['_isAndroid' + bver[0]] = true;
					bver2 = (!bver[1]) ? bver[0]+'_0' : bver[0]+'_'+bver[1] ;
					ua['_isAndroid' + bver2] = true;
					bverFull = bver.join('_');
					ua['_isAndroid' + bverFull] = true;
				}
			}
			return ua;
		},
		"_pageInfo": function(){
			var pageInfo = {};
			pageInfo.fileName = document.location.pathname.replace(/^.+(\/|\\)([^\/\\]+)$/i, "$2");
			if(/\/$/.test(pageInfo.fileName)) pageInfo.fileName = initData.topFileName.def;
			pageInfo.file = pageInfo.fileName.replace(/\.html?$/,"");//拡張子抜き
			pageInfo.siteTop = (/^index/.test(pageInfo.file)) ? true : false;
			pageInfo.topPageType = false;
			if(pageInfo.siteTop){
				if(initData.topFileName.pc == pageInfo.fileName){
					pageInfo.topPageType = "pc";
				}else if(initData.topFileName.mobile == pageInfo.fileName){
					pageInfo.topPageType = "mobile";
				}
			}
			pageInfo.id = pageInfo.fileName.split("_",1).join('');
			pageInfo.hash = location.hash;
			pageInfo.getdata = location.search.replace(/^\?/,'');
			pageInfo.get = [];
			if(pageInfo.getdata){
				pageInfo.getdata = pageInfo.getdata.split('&');
				for(var i=0,len=pageInfo.getdata.length; i<len; i++){
					temp = decodeURIComponent(pageInfo.getdata[i]).split('=');
					ak = temp[0];
					temp.shift();
					pageInfo.get[ak] = temp.join('=');
				}
			}
			pageInfo.isHTTP = /https?:/.test(document.location.protocol);
			pageInfo.isTop = (/^index.*$/.test(pageInfo.file)) ? true : false ; 
			
			var pathTemp = {};
			if(!pageInfo.isTop){
				var re = RegExp('^(\.\/)?' + initData.path.contents + '\/?');
				for(var k in initData.path){
					pathTemp[k] = initData.path[k].replace(re, '');
				}
			}
			pageInfo.path = f.extend(initData.path, pathTemp);
			
			pageInfo.lang = settings.language + ((settings.country)? '-' + settings.country : '');
			pageInfo._lang = (pageInfo.lang) ? '_' + pageInfo. lang : '';
			
			
			return pageInfo;
		},
		"extend": function(dest, source){
			for (var property in source) {
				dest[property] = source[property];
			}
			return dest;
		},
		"_GetCookies": function (){
			var r = [];
			var cookies = document.cookie;
			if(cookies != ''){
				cookies = cookies.split('; ');
				for(var i=0, len=cookies.length; i<len; i++){
					var cookie = cookies[i].split('=');
					r[cookie[0]] = decodeURIComponent(cookie[1]);
				}
			}
			return r;
		}
	};
	return {
		"ua": f._setUAinfo,
		"pageInfo": f._pageInfo,
		"getCookies": f._GetCookies
	};
}());

var ua = init.ua();
var pageInfo = init.pageInfo();

var get = pageInfo.get;
pageInfo.viewMobile = ua._isMobile;
var _isCookie = false;//後でdefault.jsでチェック。
var _isWebStrg = false;
_isWebStrg = typeof sessionStorage !== 'undefined';

var cookiePath = '; path=' + window.location.pathname.replace(/\/contents\/(contents\/)?.*$/,'');
var cookieDevice = init.getCookies()['okiManualDevice'];

/*
 * PC, mobile 分岐
 */
//cookieがある場合
if(cookieDevice){
	if("pc" == cookieDevice){
		pageInfo.viewMobile = false;
		document.cookie = 'okiManualDevice=pc' + cookiePath;
		if(pageInfo.topPageType == "mobile"){
			location.href = initData.topFileName.pc;
		}
	}else if("mobile" == cookieDevice){
		pageInfo.viewMobile = true;
		document.cookie = 'okiManualDevice=mobile' + cookiePath;
		if(pageInfo.topPageType == "pc"){
			location.href = initData.topFileName.mobile;
		}
	}
}
//cookieがない場合
else{
	//cookieにアクセス端末情報["pc"|"mobile"]を書き込み
	document.cookie = 'okiManualDevice=' + ((ua._isMobile) ? 'mobile':'pc') + cookiePath;
	cookieDevice = init.getCookies()['okiManualDevice'];
	//アクセスがモバイル端末で表示がPCトップページの場合にモバイルトップへ遷移
	if(ua._isMobile && pageInfo.topPageType == "pc"){
		location.href = initData.topFileName.mobile;
	}
	if(pageInfo.topPageType == "mobile"){
		pageInfo.viewMobile = true;
		cookieDevice = 'mobile';
	}else if(pageInfo.topPageType == "pc"){
		pageInfo.viewMobile = false;
		cookieDevice = 'pc';
	}
}

//if(pageInfo.topPageType == "mobile"){
//	pageInfo.viewMobile = true;
//	document.cookie = 'okiManualDevice=mobile';
//	cookieDevice = 'mobile';
//}else if(pageInfo.topPageType == "pc"){
//	pageInfo.viewMobile = false;
//	document.cookie = 'okiManualDevice=pc';
//	cookieDevice = 'pc';
//}
//if(!cookieDevice){
//	document.cookie = 'okiManualDevice=' + ((pageInfo.viewMobile) ? 'mobile':'pc');
//}else if("pc" == cookieDevice){
//	pageInfo.viewMobile = false;
//	document.cookie = 'okiManualDevice=pc';
//}else{
//	pageInfo.viewMobile = true;
//	document.cookie = 'okiManualDevice=mobile';
//}
//if(pageInfo.topPageType == "pc" && pageInfo.viewMobile){
//	document.cookie = 'okiManualDevice=mobile';
//	location.href = initData.topFileName.mobile;
//}

var homeFile = (pageInfo.viewMobile) ? initData.topFileName.mobile : initData.topFileName.pc;



//console.log(init.getCookies());
//console.log(ua);
//console.log(pageInfo);
//console.log(get);



var srCountType = 0;
if(pageInfo.lang=='zh-tw') srCountType = 1;


var loadPath = pageInfo.path;
var loadFile = [];
if(pageInfo.viewMobile){
	loadFile.push(''
		,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/jquery.mobile-1.4.5.min.css">'
		,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/bootstrap.min.css">'
		,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/mobile.css">'
		,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/anki_m.css">'
		
		,'<script type="text/javascript" src="' + loadPath.local + '/' + pageInfo.lang + '/js/text' + pageInfo._lang + '.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery-2.1.4.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery-ui-forAutocomp.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery.mobile-1.4.5.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/bootstrap.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery.keyHighlight.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/common.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/search.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/mobile.js"></script>'
	);
	if(pageInfo.isTop){
		loadFile.push('<script type="text/javascript" src="' + loadPath.shared + '/js/mobile_top.js"></script>');
	}
}else{
	//css
	
	if(!pageInfo.isTop){
		loadFile.push(''
			,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/jquery-ui.css" media="print,screen" />'
			,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/font.css" media="print,screen" />'
			,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/pc.css" media="print,screen">'
			,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/anki.css" media="print,screen">'
			,'<link rel="stylesheet" type="text/css" href="'+ loadPath.local + '/' + pageInfo.lang + '/css/' + pageInfo.lang + '.css" media="print,screen">'
			,'<link rel="stylesheet" type="text/css" href="' + loadPath.shared + '/css/print.css" media="print" />'
		);
	}
	
	//js
	loadFile.push(''
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery-1.11.3.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery-ui-1.11.4.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery.cookie.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery.keyHighlight.min.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/jquery.listTree.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.local + '/' + pageInfo.lang + '/js/text_' + pageInfo.lang + '.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/common.js"></script>'
		,'<script type="text/javascript" src="' + loadPath.shared + '/js/function.js"></script>'
	);
	if(pageInfo.isTop){
		loadFile.push(''
			,'<script type="text/javascript" src="' + loadPath.shared+'/js/search.js"></script>'
			,'<script type="text/javascript" src="' + loadPath.shared + '/js/__top.js"></script>'
		);
	}else{
		loadFile.push(''
			,'<script type="text/javascript" src="' + loadPath.shared + '/js/template_pc.js"></script>'
			,'<script type="text/javascript" src="' + loadPath.shared + '/js/set_html.js"></script>'
			,'<script type="text/javascript" src="' + loadPath.shared + '/js/search.js"></script>'
			,'<script type="text/javascript" src="' + loadPath.shared + '/js/__default.js"></script>'
		);
	}
}
loadFile.push('<script type="text/javascript" src="' + loadPath.shared + '/sysout/gtmCode.js"></script>');
document.write(loadFile.join(''));
