// 
// ---------------------
/*
 * Keyword Highlight
 * 
 * Create by k.Hiramatsu
 * Modefiy 2016-02-03
 * 
 * 
 * ex)
 *  $(targetNome).keyHighlight(keyword, {Element:"tagName", Class:"className"});
 * 
 *  Sample:
 *     $('div#hoge').keyHighlight("hogehoge");
 *     $('div#hoge').keyHighlight("hogehoge", {
 *        "Element": "strong",        //Def: mark
 *        "Class":   "light",         //Def: ""
 *        "addID":   true,            //Def: true ID付与
 *        "scroll":  [false, "body", "html,body"],  //Def: [false, "body"] ヒットした位置にスクロール、スクロール量計算基準要素、スクロール要素
 *        "UpLo":    false,           //Def: false 大文字小文字区別
 *        "ZenHan":  false            //Def: false 全角半角区別
 *        "pMatch":  false            //Def: false 完全一致
 *     });
 * 
 * Default Element:"mark", Class:""
 * 
 */
(function(a){a.fn.keyHighlight=function(c,t){var z={Element:"mark",Class:"",addID:true,scroll:[false,"body","html,body"],UpLo:false,ZenHan:false,pMatch:false};var N=a.extend({},z,t);if(N.pMatch){N.UpLo=true;N.ZenHan=true}if(!N.pMatch){c=a.trim(c.replace(/[\s　]+/g," "))}if(!c||c==""||!this.length){return}var R="㌀㍇㍢㍣㍤㍥㍦㍧㍨㍩㍪㍫㍬㍭㍮㍯㍰".split("");var o={";":["&#59;"],"&":["&amp;","&#38;"],"<":["&lt;"],">":["&gt;"],"'":["&#39;","&apos;"],'"':["&quot;","&#34;"]};var u=') ( [ ] { } / $ # & ` " _ ? ^ + * | . , - \\'.split(" ");for(var M in u){u[M]="\\"+u[M]}var O=new RegExp("(["+u.join("")+"])","g");var I=["a","abbr","acronym","address","applet","area","article","aside","audio","b","base","basefont","bdi","bdo","bgsound","big","blink","blockquote","br","button","canvas","caption","center","cite","code","col","colgroup","command","comment","datalist","dd","del","details","dfn","dir","div","dl","dt","em","embed","fieldset","figcaption","figure","font","footer","form","frame","frameset","h1","h2","h3","h4","h5","h6","header","hgroup","hr","i","iframe","ilayer","img","input","ins","isindex","kbd","keygen","label","layer","legend","li","link","listing","map","mark","marquee","menu","meta","meter","multicol","nav","nextid","nobr","noembed","noframes","nolayer","noscript","object","ol","optgroup","option","output","p","param","plaintext","pre","progress","q","rb","rbc","rp","rt","rtc","ruby","s","samp","script","section","select","server","small","source","spacer","span","strike","strong","style","sub","summary","sup","table","tbody","td","textarea","tfoot","th","thead","time","tr","track","tt","u","ul","var","video","wbr","xmp"];var e=function(i){return i.replace(O,"\\$1")};var x=function(S){var j=S;var i=new RegExp("[&<>\"']","g");j=j.replace(i,function(T){return o[T][0]});return j};var B=function(Y){var X=[],T=[];var S="((</?("+I.join("|")+")( [^>]*?)?>)+)";var W=new RegExp("("+S+"|([^<]+))","ig");Y=Y.replace(/(\s+|&nbsp;)/g," ");var U=a("<div>"+Y+"</div>");U.find("*").contents().each(function(Z,aa){if(this.nodeType==8){a(this).remove()}});Y=U.html();Y=Y.match(W);for(var V=0,j=Y.length;V<j;V++){if(/^</.test(Y[V])){X.push(k[0]);T.push(Y[V])}else{X.push(Y[V]);T.push("")}}return[X,T]};var r=function(){var T=[];var S=new RegExp(k[0]);var U=Math.max(Q.length,g.length);for(var j=0;j<U;j++){if(S.test(Q[j])){T.push(g[j]||"")}else{T.push(Q[j]||"")}}return T};var v=function(V){if(!V){return V}var U={};var T=[];var j,S;for(j=0;j<V.length;j++){S=V[j];if(!(S in U)){U[S]=true;T.push(S)}}return T};var A=function(j){if(!j){return j}var i=[];for(M=0;M<j.length;M++){if(j[M]){i.push(j[M])}}return i};var P=(N.UpLo)?"g":"ig";var F=this.length;for(var K=0;K<F;K++){var n=this[K];var k=R;var d=new RegExp(k.join("|"),"g");var h=a(n).html().match(d);if(h){h=new RegExp(h.join("|"),"g");k=k.join("").replace(h,"");k=k.split("")}if(k.length<2){continue}var H=B(a(n).html());var Q=H[0];var g=H[1];var Q=Q.join(k[1]);for(var p in o){var l=new RegExp("("+o[p].join("|")+")","g");Q=Q.replace(l,p)}var G;if(N.pMatch){G=new RegExp(e(c),"g")}else{var J=[];var m=c.split(" ");for(var M in m){var D=[];var y=m[M].split("");if(!N.ZenHan){for(var L in y){y[L]=y[L].replace(/[\!-\~！-～￥]/,function(i){if(/[！-～]/.test(i)){return"("+i+"|"+e(String.fromCharCode(i.charCodeAt(0)-65248))+")"}else{if(/[￥]/.test(i)){return"("+i+"|"+e(String.fromCharCode(92))+")"}else{if(/[\\]/.test(i)){return"("+e(i)+"|"+String.fromCharCode(65509)+")"}else{return"("+e(i)+"|"+String.fromCharCode(i.charCodeAt(0)+65248)+")"}}}});D.push(y[L])}}else{for(var L in y){y[L]=e(y[L]);D.push("("+y[L]+")")}}J.push(D.join("(("+k[1]+k[0]+k[1]+")*)"))}J="("+J.join("|")+")";G=new RegExp(J,P)}var s=false;s=Q.match(G);s=A(v(s));if(s){for(var M in s){s[M]=e(s[M])}var G=new RegExp("("+s.join("|")+")",P);var C=[];var w=(N.Class)?' class="'+N.Class+'"':"";var f=["<"+N.Element+w+">","</"+N.Element+">"];Q=Q.replace(G,function(U){var S=new RegExp("("+k[0]+"|"+k[1]+")");h="";if(S.test(U)){var j=new RegExp("[^"+k[0]+k[1]+"]+","ig");match=U.match(j);h=U;for(var T in match){var V=e(match[T]);var W=new RegExp(V);h=h.replace(W,k[2]);C.push(f[0]+x(match[T])+f[1])}}else{h=k[2];C.push(f[0]+x(U)+f[1])}return h});Q=x(Q);var E=new RegExp(k[2]);for(var M in C){Q=Q.replace(E,C[M])}}Q=Q.split(k[1]);H=r().join("");a(n).html(H);delete Q;delete g;delete s;delete I;y=tag=G=d=h=D=J=undefined}if(N.addID){var b=(N.Class)?"."+N.Class:"";a(this).find(N.Element+b).each(function(j,S){a(S).attr("id","hitMark"+j)})}if(N.scroll[0]){var q=Math.floor(a("#hitMark0").offset().top-a(N.scroll[1]).offset().top-20);q=(q)?q:0;a(N.scroll[2]).animate({scrollTop:q},700)}return}})(jQuery);